Transcripts
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/transcriptsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/transcripts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/transcripts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"_id": "<string>",
"transcript_type": "<string>",
"chr": "<string>",
"start": 123,
"end": 123,
"strand": "<string>",
"name": "<string>",
"gene_name": "<string>",
"source": "<string>",
"version": "<string>",
"source_url": "<string>",
"MANE_Select": true
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Transcripts
Retrieve transcripts.
Example: region = chr20:9537369-9839076,
transcript_type = protein_coding,
transcript_id = ENST00000443707 (Ensembl ids),
organism = Homo sapiens.
The limit parameter controls the page size and can not exceed 500.
Pagination is 0-based.
Transcripts
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/transcriptsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/transcripts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/transcripts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"_id": "<string>",
"transcript_type": "<string>",
"chr": "<string>",
"start": 123,
"end": 123,
"strand": "<string>",
"name": "<string>",
"gene_name": "<string>",
"source": "<string>",
"version": "<string>",
"source_url": "<string>",
"MANE_Select": true
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
IG_C_gene, IG_C_pseudogene, IG_D_gene, IG_J_gene, IG_J_pseudogene, IG_V_gene, IG_V_pseudogene, IG_pseudogene, Mt_rRNA, Mt_tRNA, TEC, TR_C_gene, TR_D_gene, TR_J_gene, TR_J_pseudogene, TR_V_gene, TR_V_pseudogene, artifact, lncRNA, miRNA, misc_RNA, non_stop_decay, nonsense_mediated_decay, processed_pseudogene, processed_transcript, protein_coding, protein_coding_CDS_not_defined, protein_coding_LoF, pseudogene, rRNA, rRNA_pseudogene, retained_intron, ribozyme, sRNA, scRNA, scaRNA, snRNA, snoRNA, transcribed_processed_pseudogene, transcribed_unitary_pseudogene, transcribed_unprocessed_pseudogene, translated_processed_pseudogene, translated_unprocessed_pseudogene, unitary_pseudogene, unprocessed_pseudogene, vault_RNA Available options:
Mus musculus, Homo sapiens